Bug 197133 - multimedia/vid.stab Assumes -msse on all architectures
Summary: multimedia/vid.stab Assumes -msse on all architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm Any
: --- Affects Some People
Assignee: Alberto Villa
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-27 18:05 UTC by Sean Bruno
Modified: 2015-06-12 00:25 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sean Bruno freebsd_committer 2015-01-27 18:05:33 UTC
Builds of multimedia/vid.stab assume that SSE is available on all architectures.  We should probably add configure knowledge to it such that ARM and MIPS builds don't do that.

[armv6]
http://chips.ysv.freebsd.org/data/11armv6-11armv6/2015-01-25_16h41m39s/logs/errors/vid.stab-0.98.2.log

[mips32]
http://dirty.ysv.freebsd.org/data/11mips32-11mips32/2015-01-26_23h32m57s/logs/errors/vid.stab-0.98.2.log

If SSE is required to build, then we should mark this only for arch's i386/amd64.
Comment 1 commit-hook freebsd_committer 2015-06-11 17:12:54 UTC
A commit references this bug:

Author: avilla
Date: Thu Jun 11 17:12:08 UTC 2015
New revision: 389231
URL: https://svnweb.freebsd.org/changeset/ports/389231

Log:
  multimedia/vid.stab: fix build on ARM and MIPS

  The project was hardcoding SSE support, thus making the build fail on
  ARM and MIPS architectures.

  PR:		197133
  MFH:		2015Q2

Changes:
  head/multimedia/vid.stab/files/
  head/multimedia/vid.stab/files/patch-CMakeModules_FindSSE.cmake
Comment 2 Alberto Villa freebsd_committer 2015-06-11 17:14:19 UTC
Fix committed, waiting for MFH to close.
Comment 3 commit-hook freebsd_committer 2015-06-12 00:24:26 UTC
A commit references this bug:

Author: avilla
Date: Fri Jun 12 00:23:24 UTC 2015
New revision: 389256
URL: https://svnweb.freebsd.org/changeset/ports/389256

Log:
  MFH: r389231

  multimedia/vid.stab: fix build on ARM and MIPS

  The project was hardcoding SSE support, thus making the build fail on
  ARM and MIPS architectures.

  PR:		197133
  Approved by:	portmgr

Changes:
_U  branches/2015Q2/
  branches/2015Q2/multimedia/vid.stab/files/
Comment 4 Alberto Villa freebsd_committer 2015-06-12 00:25:57 UTC
MFH complete.